#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hledger-iadd
version:              1.3.14
visibility:           public
id:                   hledger-iadd-1.3.14-K7aVkRfMchzI5u29q6J7Ny
key:                  hledger-iadd-1.3.14-K7aVkRfMchzI5u29q6J7Ny
license:              BSD-3-Clause
copyright:            2018 Hans-Peter Deifel
maintainer:           Hans-Peter Deifel <hpd@hpdeifel.de>
author:               Hans-Peter Deifel <hpd@hpdeifel.de>
homepage:             https://github.com/hpdeifel/hledger-iadd#readme
synopsis:             A terminal UI as drop-in replacement for hledger add
description:
    This is a terminal UI as drop-in replacement for hledger add.

    It improves in the following ways on hledger'\''s add command:

    * Interactive as-you-type completion for
    account names and descriptions with optional
    fuzzy matching.

    * Integrated calculator: Amounts can be written
    as simple sums with real-time feedback on the
    result.

    * All actions while entering a transaction can
    be undone

    * Configurable format for date input. Instead
    of @y\/m\/d@ it is also possible to use other
    formats like the german @d.m.y@.

category:             Finance, Console
abi:                  95d26a39363e947ad6affdb883e52975
exposed:              True
exposed-modules:
    AmountParser Brick.Widgets.BetterDialog Brick.Widgets.Border.Utils
    Brick.Widgets.CommentDialog Brick.Widgets.Edit.EmacsBindings
    Brick.Widgets.HelpMessage Brick.Widgets.List.Utils
    Brick.Widgets.WrappedText ConfigParser Data.Time.Ext DateParser
    Model View

import-dirs:          /usr/lib/ghc-8.10.4/site-local/hledger-iadd-1.3.14
library-dirs:         /usr/lib/ghc-8.10.4/site-local/hledger-iadd-1.3.14
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/hledger-iadd-1.3.14
hs-libraries:         HShledger-iadd-1.3.14-K7aVkRfMchzI5u29q6J7Ny
depends:
    base-4.14.1.0 brick-0.62-CsWCwFB8fKm6k9VgN3xFPB containers-0.6.2.1
    directory-1.3.6.0 free-5.1.7-G9L4akxlEK4HlCTR5VxolM
    hledger-lib-1.21-CmjsbIOSl2N7tX7ajQOxcy
    megaparsec-9.0.1-ILwaxfK8V4fDpS9AKkr9s9
    microlens-0.4.12.0-LWmCgM3D0eIxbRgAEzd8k
    microlens-th-0.4.3.10-JmByhEFF7jAHJmsT7U51pX
    optparse-applicative-0.16.1.0-7exIqAYiZ8a87tzVLPmKjQ text-1.2.4.1
    text-zipper-0.11-9PTMg9WbBegGEma3aBRGXQ time-1.9.3
    transformers-0.5.6.2
    unordered-containers-0.2.14.0-BnMT8OZ6mZf1CSW1Hvg8FR
    vector-0.12.3.0-HURuJbi2iJT3pZcjBMuHYu
    vty-5.33-D4wRbEug8L0Fpizrc5Tz4M
    xdg-basedir-0.2.2-BqCctxbjkCHCnIL6NK3wKf

haddock-interfaces:   /usr/share/doc/hledger-iadd/html/hledger-iadd.haddock
haddock-html:         /usr/share/doc/hledger-iadd/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

